SDL_GetGamepadSensorData(3)

NAME
SDL_GetGamepadSensorData - Get the current state of a gamepad sensor.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetGamepadSensorData(SDL_Gamepad *gamepad, SDL_SensorType type, float *data, int num_values);

DESCRIPTION
The number of values and interpretation of the data is sensor dependent. See SDL_sensor .h for the details for each type of sensor.

FUNCTION PARAMETERS

gamepad
    The gamepad to query

type
    The type of sensor to query

data
    A pointer filled with the current sensor state

num_values
    The number of values to write to data

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.